%define api_version	2.0
%define gir_major	2.0
%define lib_major	0

%define libname		%mklibname gtksourceview- %{api_version} %{lib_major}
%define libnamedev	%mklibname -d gtksourceview- %{api_version}
%define girname		%mklibname gtksourceview-gir %{gir_major}

Summary:	Source code viewing library
Name:		gtksourceview2
Version:	2.11.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Editors
URL:		http://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gtksourceview/gtksourceview-%{version}.tar.bz2
Patch0:		gtksourceview-2.11.2-use-const-instead-of-G_CONST_RETURN.patch
Patch1:		gtksourceview-2.11.2-fix-deprecated-G_UNICODE_COMBINING_MARK.patch
BuildRequires:	libgtk+2-devel >= 2.3.0
#Buildrequires:	typelib(Gtk) = 2.0
BuildRequires:	gobject-introspection-devel
BuildRequires:  libGConf2-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:	gtksourceview2-devel
Conflicts:	gtksourceview < %{version}-%{release}

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libname}
Summary:	Source code viewing library
Group:		Editors
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libnamedev}
Summary:        Libraries and include files for GtkSourceView
Group:          Development/GNOME and GTK+
Requires:       %{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libgtksourceview-%{api_version}-devel = %{version}-%{release}

%description -n %{libnamedev}
GtkSourceView development files 

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -qn gtksourceview-%{version}
%patch0 -p0 -b .gconst
%patch1 -p0 -b .spacing

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std
rm -f %{buildroot}%_libdir/*.la
%{find_lang} gtksourceview-%{api_version}

%files -f gtksourceview-%{api_version}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_datadir}/gtksourceview-%{api_version}

%files -n %{libname} 
%defattr(-,root,root)
%{_libdir}/libgtksourceview-%{api_version}.so.%{lib_major}*

%files -n %{girname}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GtkSource-%{gir_major}.typelib

%files -n %{libnamedev}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/gtksourceview-2.0
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GtkSource-%{gir_major}.gir



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.11.2-3.mga3
+ Revision: 352935
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 wally <wally> 2.11.2-2.mga2
+ Revision: 165589
- add P1 to fix build

  + dmorgan <dmorgan>
    - Remove .la files

* Sun Jul 10 2011 wally <wally> 2.11.2-1.mga2
+ Revision: 121696
- add patch to build with new gtk2
- enable introspection
- add a subpackage for gir .typelib

  + fwang <fwang>
    - new version 2.11.2

* Mon Jun 27 2011 fwang <fwang> 2.10.5-2.mga2
+ Revision: 114245
- convert to conflicts so that we could safely push gnome3 when upgrading
- imported package gtksourceview2

